# Call Studio API

#### Uploading recordings through API

The upload process consists of three steps. After all three steps are completed, you will see the recording in Call Studio and analysis will be completed shortly.

#### 1. Requesting a signed URL

```bash
curl --location --request POST 'https://voicehub.dataqueue.ai/api/v1/playground/signed-url?fileName=file.wav' \
--header 'x-dq-api-key: YOUR_API_KEY_HERE'
```

The request returns a JSON object:

```json
{
    "url": "example-signed-url.com"
}
```

#### 2. Upload the file to cloud storage

Using the URL obtained in the previous step, upload your file using a PUT request:

```
curl --location --request PUT 'example-signed-url.com' \
--header 'Content-Type: audio/wave' \
--data-binary '@/path/to/your/file.wav'
```

#### 3. Request analysis of the uploaded file

Once step 2 is complete, you can request Call Studio analysis of your recording:

```
curl --location 'https://voicehub.dataqueue.ai/api/v1/playground/api-analysis' \
--header 'x-dq-api-key: YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data '{
    "fileName": "file.wav",
    "title": "Example Title"
}'
```

The `fileName` parameter must match the `fileName` given in step 1, otherwise the analysis will fail. The `title` field will be shown in the Title column of Call Studio.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dataqueue.gitbook.io/voicehub-docs/api-reference/call-studio-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
